[project]
name = "yaml-audio-metadata"
version = "0.1.0"
description = "A python tool to set metadata to mp3 files using the yaml as a source"
authors = [
    {name = "allanger",email = "allanger@badhouseplants.net"}
]
license = {text = "MIT"}
readme = "README.md"
requires-python = ">=3.14,<4.0"
dependencies = [
    "click (>=8.3.0,<9.0.0)",
    "pyyaml (>=6.0.3,<7.0.0)",
    "eyed3 (>=0.9.8,<0.10.0)"
]


[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"

[dependency-groups]
dev = [
    "flake8 (>=7.3.0,<8.0.0)",
    "flake8-bugbear (>=25.10.21,<26.0.0)",
    "black (>=25.9.0,<26.0.0)"
]
